# Generated by rust2rpm 25
%bcond_without check

%global crate sequoia-octopus-librnp

%global tb_plugindir %{_libdir}/thunderbird
%global __provides_exclude_from ^%{tb_plugindir}/.*\\.so$

Name:           rust-sequoia-octopus-librnp
Version:        1.8.0
Release:        %autorelease
Summary:        Reimplementation of RNP's interface using Sequoia for use with Thunderbird

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-octopus-librnp
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sequoia-octopus-librnp-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * enable default features in rand and rand_distr dependencies:
#   fixes undefined references to rand::thread_rng
# * exclude files only useful for upstream development
# * drop build script and build-dependencies:
#   git repository is not available when building from published crates
Patch:          sequoia-octopus-librnp-fix-metadata.diff
Patch:          0001-drop-broken-build-script-based-git-versioning.patch

# exclude architectures where thunderbird is not available
ExcludeArch:    %{ix86} %{arm} s390x

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Reimplementation of RNP's interface using Sequoia for use with
Thunderbird.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSL-1.0
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR LGPL-3.0-or-later
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        LGPL-2.0-or-later AND Apache-2.0 AND BSD-3-Clause AND BSL-1.0 AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (LGPL-3.0 OR GPL-2.0 OR GPL-3.0) AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR LGPL-3.0-or-later) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

Requires:       thunderbird%{?_isa}
Provides:       thunderbird-librnp
Provides:       thunderbird-librnp%{?_isa}
Conflicts:      thunderbird-librnp%{?_isa}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{tb_plugindir}/librnp.so

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
mkdir -p %{buildroot}/%{tb_plugindir}
cp -pav target/release/libsequoia_octopus_librnp.so %{buildroot}/%{tb_plugindir}/librnp.so

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
